Package org.opensaml.messaging.error

# Interface MessageErrorHandler

All Known Subinterfaces:
  `PipelineMessageErrorHandler`, `TypedMessageErrorHandler`

All Known Implementing Classes:
  `SOAP11FaultContextDecoratingErrorHandler`

public interface MessageErrorHandler
Component that handles message processing-related errors.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`handleError(Throwable t, MessageContext messageContext)`
Handle a particular thrown error.

## Method Details

### handleError

boolean handleError(@Nonnull Throwable t, @Nonnull MessageContext messageContext)
Handle a particular thrown error.

Parameters:
  `t` - the error that was thrown
  `messageContext` - the message context being processed, if available
Returns:
  true if error was successfully handled, false otherwise